import pygame
from pygame.locals import *
#from inputManager import *
#from RFIDReader import *
from random import randint
import time 
import sys
import os

#class PHS(object):
_image_library = {}
def get_image(path):
    global _image_library
    image = _image_library.get(path)
    if image == None:
        canonicalized_path = path.replace('/', os.sep).replace('\\', os.sep)
        image = pygame.image.load(canonicalized_path)
        _image_library[path] = image
    return image

def main():
    pygame.init()
    screen = pygame.display.set_mode((800,600 ))
    done = False
    is_blue = True
    a = False
    #y = 30
    clock = pygame.time.Clock()
    font = pygame.font.SysFont("comicsansms", 72)
    Ltfont = pygame.font.SysFont("comicsansms", 30)
    Command = font.render("", True, (0,0,0))
    Commandbot = font.render("", True, (0,0,0))
    Player = 0
    play = False
    color = (0, 128, 255)
    mes = font.render("", True, (0, 128, 255))
    img_player = get_image('questionmark.png')
    com_player = get_image('questionmark.png')
    Player_HP=10
    Com_HP=10
    reset = True
    end = False
    Str_End=""
    Skilled = False
    mySkill = [1,1,1,1,1]
    Critical = False
    DMG_mes = Ltfont.render("", True, (0, 128, 255))
    Golden_Hand = False
    Bet=False
    Reborn=False
    while not done:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                done = True
            if event.type == pygame.KEYDOWN and event.key == pygame.K_SPACE and Player != 0:
                play = True
        Background = get_image('background.png')
        screen.fill((255, 255, 255))
        screen.blit(Background, (0, 0))
        pressed = pygame.key.get_pressed()
        if pressed[pygame.K_a] and reset == True and not end: #Paper
            Command = font.render("Paper", True, (0, 0, 255))
            Commandbot = font.render("", True, (0,0,0))
            img_player = get_image('paper.png')
            Player=1
            #reset=False
        elif pressed[pygame.K_s] and reset == True and not end: #Rock
            Command = font.render("Rock", True, (0, 255, 0))
            Commandbot = font.render("", True, (0,0,0))
            img_player = get_image('rock.png')
            Player=2
            #reset=False
        elif pressed[pygame.K_d] and reset == True and not end: #Scissors
            Command = font.render("Scissors", True,(255, 0, 0))
            Commandbot = font.render("", True, (0,0,0))
            img_player = get_image('scissors.png')
            Player=3
            #reset=False
        elif pressed[pygame.K_h] and reset == True and not end and mySkill[0]>0 and not Skilled: #Heal
            mes = font.render("Heal", True,(102, 0, 204))
            if (Player_HP+100>300):
                Player_HP=300
            else:
                Player_HP += 100
            Skilled = True
            mySkill[0]=0
        elif pressed[pygame.K_c] and reset == True and not end and mySkill[1]>0 and not Skilled: #Cri
            mes = font.render("Critical", True,(102, 0, 204))
            Skilled = True
            mySkill[1]=0
            Critical = True
        elif pressed[pygame.K_g] and reset == True and not end and mySkill[1]>0 and not Skilled: #Golden Hand
            mes = font.render("Golden Hand", True,(102, 0, 204))
            Skilled = True
            Golden_Hand = True
            mySkill[2]=0
        elif pressed[pygame.K_b] and reset == True and not end and mySkill[1]>0 and not Skilled: #bet damage
            mes = font.render("Bet Damage", True,(102, 0, 204))   
            Bet=True
            Skilled = True
            mySkill[3] = 0
        elif pressed[pygame.K_z] and reset == True and not end and mySkill[1]>0 and not Skilled: #Reborn
            mes = font.render("Reborn", True,(102, 0, 204))
            Reborn=True
            Skilled = True
            mySkill[4] = 0
        elif reset == False and pressed[pygame.K_r] and not end: #Reset
            #pygame.draw.circle(screen,(0, 128, 255),(100,200),50)
            img_player = get_image('questionmark.png')
            #pygame.draw.circle(screen,(255, 100, 0),(700,200),50)
            com_player = get_image('questionmark.png')
            Commandbot = font.render("", True, (0,0,0))
            Command = font.render("", True,(255, 0, 0))
            mes = font.render("", True, (0, 128, 255))
            DMG_mes = Ltfont.render("", True, (204, 51, 0))
            reset = True
            Player = 0
        if Reborn and Player_HP == 0:
            Player_HP = 100
            end = False
        if end and pressed[pygame.K_q]: #End
            pygame.quit()
            
        screen.blit(img_player, (50, 150))
        screen.blit(com_player, (650, 150))
        pygame.draw.rect(screen, (0,255,0),pygame.Rect(20, 560, Player_HP, 20)) #HP Player
        pygame.draw.rect(screen, (0,255,0), pygame.Rect(780, 560, -Com_HP, 20)) #HP Com
        text = font.render("Paper Rock Scissors", True, (0, 128, 255))
        screen.blit(text,(400 - text.get_width() // 2, 50 - text.get_height() // 2))
        Str_Player_HP=Ltfont.render(str(Player_HP), True,(255, 0, 0))
        Str_Com_HP=Ltfont.render(str(Com_HP), True,(255, 0, 0))
        if(Bet==True):
            DMG = randint(50,100)
        else:
            DMG = randint(10,20)
        screen.blit(Str_Player_HP,(50 - Str_Player_HP.get_width() // 2, 520 - Str_Player_HP.get_height() // 2))
        screen.blit(Str_Com_HP,(750 - Str_Com_HP.get_width() // 2, 520 - Str_Com_HP.get_height() // 2))
        if Com_HP == 0:
            Str_End = font.render("You Win!", True,(255, 0, 0))
            screen.blit(Str_End,(400 - Str_End.get_width() // 2, 300 - Str_End.get_height() // 2))
            mes = font.render("", True, (0, 128, 255))
            end = True
        if Player_HP == 0 and not Reborn:
            Str_End = font.render("Com Win!", True,(255, 0, 0))
            screen.blit(Str_End,(400 - Str_End.get_width() // 2, 300 - Str_End.get_height() // 2))
            mes = font.render("", True, (0, 128, 255))
            end = True
        #print(Player)
        if not play and not end:
            screen.blit(Command,(300 - Command.get_width() // 2, 150 - Command.get_height() // 2))
            screen.blit(Commandbot,(550 - Commandbot.get_width() // 2, 150 - Commandbot.get_height() // 2))
        if Player != 0 and play and reset == True and not end:
            bot = randint(1,1)
            if bot == 1: 
                Commandbot = font.render("Paper", True, (0, 0, 255))
                com_player = get_image('paper.png')
            if bot == 2: 
                Commandbot = font.render("Rock", True, (0, 255, 0))
                com_player = get_image('rock.png')
            if bot == 3: 
                Commandbot = font.render("Scissors", True,(255, 0, 0))
                com_player = get_image('scissors.png')
            
            if Player == bot: 
                mes = font.render("Draw", True, (0, 128, 255))
                if(Golden_Hand):
                    if(Com_HP-DMG<0):
                        Com_HP=0
                        DMG_mes = Ltfont.render(str(Com_HP), True, (0, 102, 0))
                    else:
                        Com_HP-=DMG
                        DMG_mes = Ltfont.render(str(DMG), True, (0, 102, 0))
            if Player == 1 and bot == 2: 
                mes = font.render("Win", True, (0, 128, 255))
                if(Critical==True):DMG*=3
                if(Com_HP-DMG<0):
                    Com_HP=0
                    DMG_mes = Ltfont.render(str(Com_HP), True, (0, 102, 0))
                else:
                    Com_HP-=DMG
                    DMG_mes = Ltfont.render(str(DMG), True, (0, 102, 0))
            if Player == 1 and bot == 3: 
                mes = font.render("Lose", True, (0, 128, 255))
                if(Player_HP-DMG<0):
                    Player_HP=0
                    DMG_mes = Ltfont.render(str(Player_HP), True, (204, 51, 0))
                else:
                    Player_HP-=DMG
                    DMG_mes = Ltfont.render(str(DMG), True, (204, 51, 0))
            if Player == 2 and bot == 1: 
                mes = font.render("Lose", True, (0, 128, 255))
                if(Player_HP-DMG<0):
                    Player_HP=0
                    DMG_mes = Ltfont.render(str(Player_HP), True, (204, 51, 0))
                else:
                    Player_HP-=DMG
                    DMG_mes = Ltfont.render(str(DMG), True, (204, 51, 0))
            if Player == 2 and bot == 3: 
                mes = font.render("Win", True, (0, 128, 255))
                if(Critical==True):DMG*=3
                if(Com_HP-DMG<0):
                    Com_HP=0
                    DMG_mes = Ltfont.render(str(Com_HP), True, (0, 102, 0))
                else:
                    Com_HP-=DMG
                    DMG_mes = Ltfont.render(str(DMG), True, (0, 102, 0))
            if Player == 3 and bot == 1: 
                mes = font.render("Win", True, (0, 128, 255))
                if(Critical==True):DMG*=3
                if(Com_HP-DMG<0):
                    Com_HP=0
                    DMG_mes = Ltfont.render(str(Com_HP), True, (0, 102, 0))
                else:
                    Com_HP-=DMG
                    DMG_mes = Ltfont.render(str(DMG), True, (0, 102, 0))
            if Player == 3 and bot == 2: 
                mes = font.render("Lose", True, (0, 128, 255))
                if(Player_HP-DMG<0):
                    Player_HP=0
                    DMG_mes = Ltfont.render(str(Player_HP), True, (204, 51, 0))
                else:
                    Player_HP-=DMG
                    DMG_mes = Ltfont.render(str(DMG), True, (204, 51, 0))
            
            play = False
            reset=False
            Skilled = False
            Critical=False
            Golden_Hand = False
            Bet=False
            Player = 0
            
        screen.blit(mes,(400 - mes.get_width() // 2, 350 - mes.get_height() // 2))
        screen.blit(DMG_mes,(400 - DMG_mes.get_width() // 2, 400 - DMG_mes.get_height() // 2))
        pygame.display.flip()
        clock.tick(60)

if __name__=='__main__':
    main()
    pygame.quit()